#' epistack backward compatibility dataset
#'
#' @description DNA methylation profiles (from MBD-seq data) arround transcription
#' start sites of the 693 chr18 genes annotated on the pig genome
#' (Sscrofa11.1), as well as gene expression levels in
#' Transcript Per Million (TPM) measured by RNA-seq in the same
#' duodenum sample.
#'
#' @format A \code{GRanges} of the 693 rows and 54 metadata
#' columns, kept for unit-testing backward-compatibility.
#'
#' @usage data("stackepi_gr")
#'
#' @importFrom GenomicRanges GRanges
#'
#' @source This dataset was generated from ENSEMBL annotation data
#' and data generated by our lab (publicly available soon).
#'
#' @seealso \code{\link[epistack]{GRanges2RSE}}
"stackepi_gr"
